claw::meta::type_list_is_a_set< List > Struct Template Reference

This class checks if each type in a type_list<> is present only once. More...

`#include <type_list.hpp>`

## Public Types

enum | { result }

## Detailed Description

template<typename List>
struct claw::meta::type_list_is_a_set< List >

This class checks if each type in a type_list<> is present only once.

Author
  Julien Jorge

Definition at line 402 of file type_list.hpp.

## Member Enumeration Documentation

## anonymous enum

template<typename List>

anonymous enum

Definition at line 404 of file type_list.hpp.

The documentation for this struct was generated from the following file:

- meta/type_list.hpp